<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );
    /**
     * Prepares the code to insert the third party video
     *
     * @param string $option  the $video_id output containing video paramters
     * @param int    $flv_width  the video width
     * @param int    $flv_height  the video height
     * @return       $code   the third party embed code
     */
    function remotePrepareVideo($option, $flv_width=null, $flv_height=null)
	{
		$code  = null;
		return $code;
	}
    /**
     * Prepares the code to insert the third party thumbnail image
     *
     * @param string $option  the $video_id output containing video paramters
     * @param int    $vid  the video database id
     * @param int    $Itemid  the joomla menu id
     * @param int    $k  the alternating CSS integer
     * @return       $code   the full third party thumbnail image tag
     */
	function remotePrepareThumb($option, $vid, $Itemid, $k, $width=null, $height=null, $class=null)
	{
		global $mosConfig_live_site;
		if (!defined('HWDVIDSPATH')) { define('HWDVIDSPATH', dirname(__FILE__).'/../../'); }
		$c = hwd_vs_Config::get_instance();

		if (!isset($width)) {
			$width = $c->thumbwidth;
			$height = $width*3/4;
		}
			if (!isset($thumbwidth)) { $thumbwidth = $c->thumbwidth;}
			if (@explode(",", $option)) {
				$data = explode(",", $option);
				$thumbnail = $data[1];
			} else { $thumbnail = "ERROR"; }
			if (!$thumbnail) {
				$code = "<img src=\"".JURI::root( true )."/components/com_hwdvideoshare/images/default_thumb.jpg\" alt=\""._HWDVIDS_DETAILS_VIEWVID."\" border=\"0\" width=\"".$width."\" height=\"".$height."\" class=\"".$class."\" />";
			} else {
				if ($c->usegetheaders == 1) {
					if (function_exists('get_headers')) {
						if (@get_headers($thumbnail)) {
							$code = "<img src=\"".$thumbnail."\" border=\"0\" width=\"".$thumbwidth."\" class=\"".$class."\" />";
						} else {
							$code = "<img src=\"".JURI::root( true )."/components/com_hwdvideoshare/images/default_thumb.jpg\" alt=\""._HWDVIDS_DETAILS_VIEWVID."\" border=\"0\" width=\"".$width."\" height=\"".$height."\" class=\"".$class."\" />";
						}
					}
				} else {
					$code = "<img src=\"".$thumbnail."\" border=\"0\" width=\"".$width."\" height=\"".$height."\" class=\"".$class."\" />";
				}
			}
			return $code;
	}
    /**
     * Prepares the third party video link
     *
     * @param string $option  the $video_id output containing video paramters
     * @param int    $vid  the video database id
     * @param int    $Itemid  the joomla menu id
     * @return       $code   the full third party thumbnail image tag
     */
	function remotePrepareVideoURL($option)
	{
			if (@explode(",", $option)) {
				$data = explode(",", $option);
				$videocode = $data[0];
			} else { $videocode = "ERROR"; }

			$code = $videocode;
			return $code;
	}
    /**
     * Prepares the third party video embed code
     *
     * @param string $option  the $video_id output containing video paramters
     * @param int    $vid  the video database id
     * @param int    $Itemid  the joomla menu id
     * @return       $code   the full third party thumbnail image tag
     */
	function remotePrepareVideoEmbed($option, $vid, $Itemid)
	{
		$code  = null;
		return $code;
	}
?>