{* 
//////
//    @version 2.1.1 Build 21106 Alpha [ Drury ]
//    @package hwdVideoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
//////
//    hwdVideoShare Template System:::This template system uses the Smarty Template Engine. 
//    For full documentation, including syntax usage please refer to http://www.smarty.net 
//    or our website at http://www.hwdmediashare.co.uk   
//////
//    This file generates the main group page which lists featured groups and recent groups.
//////
//    VARIABLES AVAILBLE IN THIS TEMPLATE FILE:                                        
//    -- $print_featured....Only set if there are any featured groups
//    -- $list..............Array containing data for each featured group 
//    -- $list..............Array containing data for each group 
//    -- $pageNavigation....The page navigation system
//////
*}

{include file='header.tpl'}

{if $print_featured}
<h5 class="header">{$smarty.const._HWDVIDS_TITLE_FEATUREDGROUPS}</h5>
  <div class="groups">
    {foreach name=outer item=data from=$list}
      {include file='group_list.tpl'}
    {/foreach}
    <div style="text-align:right;padding:5px;"><a href="{$featured_link}" title="{$smarty.const._HWDVIDS_INFO_MOREFEATUREDG}">{$smarty.const._HWDVIDS_INFO_MOREFEATUREDG}</a></div>
  </div>
{/if}

<h5 class="header">{$smarty.const._HWDVIDS_TITLE_GROUPS}</h5>
<div class="groups">
  {if $print_grouplist}
    {foreach name=outer item=data from=$list}
      {include file='group_list.tpl'}
    {/foreach}
  {else}
    <div class="padding">{$smarty.const._HWDVIDS_INFO_NOG}</div>
  {/if}
  {$pageNavigation}
</div>

{include file='footer.tpl'}
