{* 
//////
//    @version 2.1.1 Build 21106 Alpha [ Drury ]
//    @package hwdVideoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
//////
//    hwdVideoShare Template System:::This template system uses the Smarty Template Engine. 
//    For full documentation, including syntax usage please refer to http://www.smarty.net 
//    or our website at http://www.hwdmediashare.co.uk   
//////
//    This file generates the display for the hwdVideoShare component homepage.
//////
//    VARIABLES AVAILBLE IN THIS TEMPLATE FILE:                                        
//    -- $print_nowlist........Only set if any videos are being watched now
//    -- $print_featured.......Only set if any videos are featured
//    -- $print_ads............Only set if hwdRevenueManager is installed   
//    -- $print_videolist......Only set if there are any videos
//    -- $list.................Array containing main video list data  
//    -- $pageNavigation.......Page navigation code 
//    -- $print_mostviewed.....Only set if there are any "most viewed" videos
//    -- $mostviewedlist.......Array containing main "most viewed" list data  
//    -- $print_mostfavoured...Only set if there are any "most favoured" videos
//    -- $mostfavouredlist.....Array containing main "most favoured" list data  
//    -- $print_mostpopular....Only set if there are any "most popular" videos
//    -- $mostpopularlist......Array containing main "most popular" list data  
//////
*}

{include file='header.tpl'}

{if $print_nowlist}
  {include file='video_beingwatched.tpl'}
{/if}

{if $print_featured}
  {include file='featured_videos_01.tpl'}
{/if}

{if $print_ads}<div id="hwdadverts">{$advert3}</div>{/if}

<div class="tabber" id="tab1">

  <div class="tabbertab">
    <h2><a name="tab1">{$smarty.const._HWDVIDS_RECENT}</a></h2>
    <div class="recent">
      {if $print_videolist}
        {foreach name=outer item=data from=$list}
          {include file='video_list.tpl'}
        {/foreach}
      {else}
        <div class="padding"></div>
      {/if}
      {$pageNavigation}
    </div>
  </div>

  {if $print_mostviewed}
  <div class="tabbertab">
    <h2><a name="tab1">{$title_mostviewed}</a></h2>
    <div class="recent">
      {foreach name=outer item=data from=$mostviewedlist}
        {include file='video_list.tpl'}
      {/foreach}
    </div>
  </div>
  {/if}

  {if $print_mostfavoured}
  <div class="tabbertab">
    <h2><a name="tab1">{$title_mostfavoured}</a></h2>
    <div class="recent">
      {foreach name=outer item=data from=$mostfavouredlist}
        {include file='video_list.tpl'}
      {/foreach}
    </div>
  </div>
  {/if}

  {if $print_mostpopular}
  <div class="tabbertab">
    <h2><a name="tab1">{$title_mostpopular}</a></h2>
    <div class="recent">
      {foreach name=outer item=data from=$mostpopularlist}
        {include file='video_list.tpl'}
      {/foreach}
    </div>
  </div>
  {/if}

</div>

<script type="text/javascript">tabberAutomatic();</script>

{include file='footer.tpl'}
